Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr286.taglib
Class GenerateURL286Tag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag
              org.jboss.portal.portlet.impl.jsr168.taglib.GenerateURLTag
                  org.jboss.portal.portlet.impl.jsr286.taglib.GenerateURL286Tag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  ActionURL286Tag, RenderURL286Tag, ResourceURL286Tag

    public abstract class GenerateURL286Tag

extends GenerateURLTag

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GenerateURL286Tag()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)` Add a named property.
`protected void` | `clearPreviousTag()`
`protected javax.portlet.BaseURL` | `generateURL()`
`protected javax.portlet.BaseURL` | `getBasePortletEnvironmentAndURL()` Set up the environment for generating the PortletURL and get the base PortletURL to decorate.
`java.lang.String` | `getCopyCurrentRenderParameters()`
`java.lang.String` | `getEscapeXml()`
`protected boolean` | `isEscapeXml()`
`protected void` | `removeTagParametersWithEmptyValue(PortletURL portletURL)`
`protected void` | `setCopyCurrentRenderParameters(PortletURL portletURL)`
`void` | `setCopyCurrentRenderParameters(java.lang.String copyCurrentRenderParameters)`
`void` | `setEscapeXml(java.lang.String escapeXml)`
`protected void` | `writeURL(javax.portlet.BaseURL portletURL)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.taglib.GenerateURLTag
`addParameter, doEndTag, doStartTag, getPortletMode, getSecure, getTypeValue, getURLParameters, getVar, getWindowState, setPortletMode, setPortletMode, setSecure, setSecure, setVar, setWindowState, setWindowState`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.taglib.PortletTag
`getActionRequest, getActionResponse, getConfig, getDispatchedRequest, getEventRequest, getEventResponse, getInvocation, getPortletPreferences, getPortletPreferenceValues, getPortletRequest, getPortletResponse, getPortletSessionScope, getRenderRequest, getRenderResponse, getResourceRequest, getResourceResponse, getSession`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateURL286Tag

    public GenerateURL286Tag()

Method Detail

### getEscapeXml

    public java.lang.String getEscapeXml()

### setEscapeXml

    public void setEscapeXml(java.lang.String escapeXml)

### getCopyCurrentRenderParameters

    public java.lang.String getCopyCurrentRenderParameters()

### setCopyCurrentRenderParameters

    public void setCopyCurrentRenderParameters(java.lang.String copyCurrentRenderParameters)

### setCopyCurrentRenderParameters

    protected void setCopyCurrentRenderParameters(PortletURL portletURL)

### removeTagParametersWithEmptyValue

    protected void removeTagParametersWithEmptyValue(PortletURL portletURL)

### isEscapeXml

    protected boolean isEscapeXml()

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

  Add a named property. Cater for multiple properties with the same name by storing them in a list.

  Parameters:
    `name` -
    `value` -

### clearPreviousTag

    protected void clearPreviousTag()

  Overrides:
    `clearPreviousTag` in class `GenerateURLTag`

### getBasePortletEnvironmentAndURL

    protected javax.portlet.BaseURL getBasePortletEnvironmentAndURL()

  Description copied from class: `GenerateURLTag`
  Set up the environment for generating the PortletURL and get the base PortletURL to decorate. Includes setting the "type" parameter from the implementing subclass.

  Overrides:
    `getBasePortletEnvironmentAndURL` in class `GenerateURLTag`
  Returns:
    The PortelURL to decorate

### generateURL

    protected javax.portlet.BaseURL generateURL()
                                         throws java.lang.Exception

  Overrides:
    `generateURL` in class `GenerateURLTag`
  Throws:
    `java.lang.Exception`

### writeURL

    protected void writeURL(javax.portlet.BaseURL portletURL)
                     throws java.lang.Exception

  Overrides:
    `writeURL` in class `GenerateURLTag`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.